from flask import Flask, render_template
from configuration import battles_per_year, king_attack_defense, army_size, Config, LightConfig, DarkConfig

app = Flask(__name__)

theme = 'light'  # Или 'dark' для темной темы
if theme == 'dark':
    app.config.from_object(DarkConfig)
else:
    app.config.from_object(LightConfig)

# Пример данных о королях
kings = {
    'robert': {
        'name': 'Robert Baratheon',
        'image': 'robert.jpg',
        'stats': [
            {'name': 'Battles Won', 'value': 5},
            {'name': 'Battles Lost', 'value': 2},
            # Добавьте больше статистических данных
        ]
    },
    'joffrey': {
        'name': 'Joffrey Baratheon',
        'image': 'joffrey.jpg',
        'stats': [
            {'name': 'Battles Won', 'value': 1},
            {'name': 'Battles Lost', 'value': 1},
            # Добавьте больше статистических данных
        ]
    },
    'stannis': {
        'name': 'Stannis Baratheon',
        'image': 'stannis.jpg',
        'stats': [
            {'name': 'Battles Won', 'value': 3},
            {'name': 'Battles Lost', 'value': 4},
            # Добавьте больше статистических данных
        ]
    },
    # Добавьте данные для других королей
}

@app.route('/')
def index():
    return render_template('index.html', kings=kings, theme=app.config['THEME'])

@app.route('/king/<king_id>')
def king(king_id):
    king = kings.get(king_id)
    if king:
        king_name = king['name']
        # Вызов функций анализа данных
        battles_per_year(king_name)
        king_attack_defense(king_name)
        army_size(king_name)
        return render_template('king.html', king=king, theme=app.config['THEME'])
    else:
        return "King not found", 404

if __name__ == '__main__':
    app.run(debug=Config.DEBUG)
