@echo off

set ENV_NAME=myenv

:: Check if conda is installed
where conda >nul 2>nul
if %errorlevel% neq 0 (
    echo Conda could not be found, please install Anaconda or Miniconda.
    exit /b 1
)

:: Check if the environment exists
conda env list | findstr /r "^%ENV_NAME%\s" >nul
if %errorlevel% equ 0 (
    echo Environment '%ENV_NAME%' already exists.
) else (
    echo Creating environment '%ENV_NAME%' from environment.yml...
    conda env create -f environment.yml
)

echo Activating environment '%ENV_NAME%'...
call conda activate %ENV_NAME%

echo All done. The environment '%ENV_NAME%' is ready to use.
