#!/bin/bash

ENV_NAME="myenv"

# Check if conda is installed
if ! command -v conda &> /dev/null
then
    echo "conda could not be found, please install Anaconda or Miniconda."
    exit
fi

# Check if the environment exists
if conda env list | grep -q "^${ENV_NAME}\s"; then
    echo "Environment '${ENV_NAME}' already exists."
else
    echo "Creating environment '${ENV_NAME}' from environment.yml..."
    conda env create -f environment.yml
fi

echo "Activating environment '${ENV_NAME}'..."
source activate ${ENV_NAME}

echo "All done. The environment '${ENV_NAME}' is ready to use."